CMP(1)

NAZWA
cmp - porównuje dwa pliki lub zakresy bajtów

SKŁADNIA

cmp [-clsv] [-i ile] [--help] [--print-chars] [--ignore-initial=ile] [--verbose] [--quiet] [--silent] [--version] plik1 plik2

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo cmp
lub
    info cmp.

Narzędzie cmp porównuje dwa dowolnego typu pliki i wypisuje wynik na standardowym wyjściu. Domyślnie, cmp milczy gdy pliki są takie same. Jeśli się różnią, zgłaszany jest numer bajtu i linii, gdzie wystąpiła pierwsza różnica. Bajty i linie są numerowane od jeden.

Podana w wierszu poleceń nazwa pliku `-' oznacza standardowe wejście.

OPCJE
Dostępne są następujące opcje:

-c

--print-chars
    Wypisuje różniące się znaki. Znaki sterujące pokazywane są w postaci ^ plus litera, a znaki z ustawionym bardziej znaczącym bitem (high bit) poprzedzane są przedrostkiem M- (oznaczającym ``meta'').

-i ile

--ignore-initial=ile
    Ignoruje wszelkie różnice w ile początkowych bajtach każdego z plików. Traktuje pliki zawierające mniej niż ile bajtów jakby były puste.

-l

--verbose
    Dla każdej różnicy wypisuje numer bajtu (dziesiętnie) i wartości różniących się bajtów (ósemkowo).

-s

--quiet

--silent
    Nic nie wypisuje. Zwraca tylko kod zakończenia wskazujący, czy pliki się różnią.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

-v

--version
    Wyświetla numer wersji programu i kończy pracę.

KOPIOWANIE
Plik ten powstał na podstawie podręcznika info pakietu diffutils. Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc. Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies. Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one. Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Foundation.

DIAGNOSTYKA
Zwracana wartość 0 oznacza, że nie odnaleziono różnic, 1 znaczy różnice, a 2 kłopoty.

ZOBACZ TAKŻE
comm(1), diff(1), diff3(1), sdiff(1).